settings_default = {
	hotkeys = {
		ESCAPE = {key = _G.key.VK_ESCAPE, modifier = nil},
		START_BOT = {key = _G.key.VK_DELETE, modifier = nil},
		STOP_BOT = {key = _G.key.VK_END, modifier = nil},
		MOVE_FORWARD = {key = _G.key.VK_W, modifier = nil},
		MOVE_BACKWARD = {key = _G.key.VK_S, modifier = nil},	
		ROTATE_LEFT = {key = _G.key.VK_A, modifier = nil},
		ROTATE_RIGHT = {key = _G.key.VK_D, modifier = nil},		
	},
	profile = {
		WAYPOINT_DEVIATION = 2,
	},	
};


if( table.copy == nil ) then
	table.copy = function (_other)
		local t = {};
		for i,v in pairs(_other) do
			if type(v) == "table" then
				t[i] = table.copy(v)
			else
				t[i] = v;
			end
		end
		return t;
	end
end

settings = table.copy(settings_default);
